Maintained by: NLnet Labs

[Unbound-users] 2 config files?!

W.C.A. Wijngaards
Mon May 18 10:12:23 CEST 2009


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Gabriel,

You have the arguments to ln -s in the wrong order.

Fix that, or edit the file statements in the remote-control section of
the config file to point to the right files.

Best regards,
   Wouter

Gabriel Petrescu wrote:

>  so here I am... the same situation as in installation from sources..:(
> 
> locate unbound_control.pem
> /etc/unbound/unbound_control.pem
> 
> 
> than i created a sym link:
> 
>  ln -s /var/lib/unbound/etc/unbound/unbound_control.pem
> /etc/unbound/unbound_control.pem
> ln: creating symbolic link `/etc/unbound/unbound_control.pem': File exists
> root at unbound5:~# unbound-control stats
> error: Error setting up SSL_CTX client key and cert
> 28444:error:02001002:system library:fopen:No such file or
> directory:bss_file.c:352:fopen('/var/lib/unbound/etc/unbound/unbound_control.pem','r')
> 28444:error:20074002:BIO routines:FILE_CTRL:system lib:bss_file.c:354:
> 28444:error:140AD002:SSL routines:SSL_CTX_use_certificate_file:system
> lib:ssl_rsa.c:470:
> 
> 
> at this momment i have no ideea what to do...
> 
> Gabi
> 
> On Mon, May 18, 2009 at 10:52 AM, Jelte Jansen <jelte at nlnetlabs.nl
> <mailto:jelte at nlnetlabs.nl>> wrote:
> 
> 
>     It appears the ubuntu package does indeed install two configuration
>     files. We might need to ask the package maintainer why this is done
>     (we only provide the source code)
> 
> 
>         i will try to make it work and generate statistics.. I hope it
>         will work
> 
>         unbound it's a bit confusing... i am trying to make also a
>         tutorial / rule how to install it on ubuntu for production
>         servers, but at this momment:
>         - from sources it generates errors;
> 
> 
>     this should not happen, on my ubuntu system it compiles cleanly, but
>     maybe we can help you with this; could you please provide some details?
> 
> 
>         - from packages, we should use not standard repositories; i hope
>         this will work..
> 
> 
>     I don't understand this sentence; do you mean because unbound hasn't
>     been packaged for older versions of Ubuntu than Intrepid?
> 
>     Regards,
> 
>     Jelte
> 
> 

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org

iEYEARECAAYFAkoRGGcACgkQkDLqNwOhpPjOYwCdFMTI3rCiBcKmv22c2wZjny7T
NGYAnR1ZlYM15yHuXIh89JRezF6ZQJ5b
=Jjmy
-----END PGP SIGNATURE-----